aboutsummaryrefslogtreecommitdiff
path: root/testsuite/mount.tests
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2012-06-21 16:50:46 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2012-06-21 16:50:46 +0200
commitc9a13116a4497f4597ad5db6eb3cac9680fd6fc4 (patch)
tree7089fec95d805ae2678efa875aaf35608e7f9b8f /testsuite/mount.tests
parent9ee426649006c4a0db7b4784f2ebb96865d4c705 (diff)
downloadbusybox-c9a13116a4497f4597ad5db6eb3cac9680fd6fc4.tar.gz
mount: fix the wrongly stored fs creation time
This bug made our ext2 images non-mountable by ext4 driver. Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite/mount.tests')
-rwxr-xr-xtestsuite/mount.tests27
1 files changed, 26 insertions, 1 deletions
diff --git a/testsuite/mount.tests b/testsuite/mount.tests
index c5891be83..a0bc50888 100755
--- a/testsuite/mount.tests
+++ b/testsuite/mount.tests
@@ -36,7 +36,8 @@ testing "mount -o remount,mand" \
"mount -o loop mount.image1m $testdir "\
"&& grep -Fc $testdir </proc/mounts "\
"&& mount -o remount,mand $testdir "\
-"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'" \
+"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'"\
+"|| grep -F $testdir </proc/mounts" \
"1\n""1\n" \
"" ""
@@ -83,4 +84,28 @@ b
"" ""
SKIP=
+
+testing "mount RO loop" "\
+exec 2>&1
+umount -d mount.dir 2>/dev/null
+rmdir mount.dir 2>/dev/null
+mkdir -p mount.dir
+(
+cd mount.dir || { echo 'cd error'; exit 1; }
+mkdir z1 z2 || { echo 'mkdir error'; exit 1; }
+mount -t tmpfs tmpfs z1 || { echo 'mount tmpfs error'; exit 1; }
+dd if=/dev/zero of=z1/e2img count=10 bs=1M 2>/dev/null || { echo 'dd error'; exit 1; }
+mke2fs -F z1/e2img 2>/dev/null >&2 || { echo 'mke2fs error'; exit 1; }
+mount -r -o loop -t ext2 z1/e2img z2 || { echo 'mount -r -o loop error'; exit 1; }
+mount -o remount,ro z1 || { echo 'mount -o remount,ro error'; exit 1; }
+)
+umount -d mount.dir/z2
+##losetup -d /dev/loop*
+umount -d mount.dir/z1
+rm -rf mount.dir
+echo DONE
+" \
+"DONE\n" "" ""
+
+
exit $FAILCOUNT